do
  -- don't load if sim scenario has already loaded this (in another lua state)
  -- https://github.com/justarandomgeek/factorio-simhelper/blob/master/modloader.md
  local modloader = remote.interfaces["modloader"]
  if modloader and modloader[script.mod_name] then
    return
  end
end

core_util = require("__core__/lualib/util.lua") -- adds table.deepcopy

Util = require("scripts/util")
Migrate = require("scripts/migrate")
ShieldProjector = require('scripts/shield-projector')
require('scripts/remote-interface')
